/* 
    ETRI IntraPMS Project
    전자결재  문서함

    
*/


package com.etri.groupware.eda;


public class Lists {

	private String listID;					//List의 위치(문서함)
	private String docID;					//해당 문서의 문서번호
	private String personID;				//List 소유자

	final static public String COMPLETEBOX = "CompleteBox";	//완료된 문서함
	final static public String INGBOX = "ApprovalingBox";	//결재할 문서함
	final static public String REJECTBOX = "RejectBox";	//반려된 문서함
	final static public String SUBMITBOX = "SubmitBox";	//상신한 문서함
	final static public String INFORMBOX = "InformBox";	//통보온 문서함
	final static public String ABORTBOX = "AbortBox";	//상신 취소한 문서함
	final static public String PUBLICBOX = "PublicBox";	//공용 문서함 
	final static public String PUBLICUSER = "PublicUser";	//공용 문서함의 공용 사용자
	
	/* DocumentBox constructor comment. */
	public Lists() {
		super();
	}

	public Lists( String listID, String docID, String personID ) {
		this.listID = listID;
		this.docID = docID;
		this.personID = personID;
	}

	/* member variable의 get method */
	 
	public String getdocID() {
		return docID;
	}
	
	public String getlistID() {
		return listID;
	}

	public String getpersonID() {
		return personID;
	}

	
	/* member variable set method */
	
	public void setdocID(String docID) {
		this.docID = docID;
	}

	public void setlistID(String listID) {
		this.listID = listID;
	}

	public void setpersonID(String personID) {
		this.personID = personID;
	}

}